Bug 1737643

Summary: python2-robosignatory fails to install due to missing dependencies
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-robosignatoryAssignee: Patrick Uiterwijk <puiterwijk>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 31CC: awilliam, puiterwijk, rbean
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mhroncok: needinfo? (puiterwijk)
mhroncok: needinfo? (puiterwijk)
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-31 07:39:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1737633    
Bug Blocks: 1700324, 1690439    

Description Miro Hrončok 2019-08-05 23:22:26 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-robosignatory
Problem: package python2-robosignatory-0.5.0-4.fc30.noarch requires python2.7dist(fedmsg), but none of the providers can be installed
 - package python2-fedmsg-1.1.1-4.fc30.noarch requires python2-moksha-hub >= 1.3.2, but none of the providers can be installed
 - conflicting requests
 - nothing provides python2-stomper needed by python2-moksha-hub-1.5.17-1.fc30.noarch

Please fix this, preferably by switching to Python 3, or drop the package from Fedora.

Comment 1 Miro Hrončok 2019-08-13 15:07:20 UTC
Error: 
 Problem: package python2-robosignatory-0.5.0-4.fc30.noarch requires python2.7dist(fedmsg), but none of the providers can be installed
  - conflicting requests
  - nothing provides python2-moksha-hub >= 1.3.2 needed by python2-fedmsg-1.1.1-4.fc30.noarch


---

In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Ben Cotton 2019-08-13 16:53:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:02:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Miro Hrončok 2019-08-20 10:17:49 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 5 Miro Hrončok 2019-08-21 15:47:06 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 6 Miro Hrončok 2019-08-28 11:43:08 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 7 Miro Hrončok 2019-08-30 11:57:36 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 8 Adam Williamson 2019-08-30 16:11:22 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 9 Miro Hrončok 2019-08-31 07:39:33 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.